#include <iostream>
#include<bits/stdc++.h>

int main()
{
    long long i,x,y,z,L,R,s,N;
    scanf("%lli%lli%lli%lli%lli",&x,&y,&z,&L,&R);
    N=0;
    for (i=L;i<=R;i++)
    {
        s=0;
        if(i%x!=0)
            s++;
        if(i%y!=0)
            s++;
        if(i%z!=0)
            s++;
        s=s + i/x +i/y +i/z;
        if (i>=s)
        {
            N++;
        }
    }
    printf("\n%lli",N);
    return 0;
}